View Issue Details

IDProjectCategoryView StatusLast Update
0021655mantisbtcustomizationpublic2016-10-02 18:41
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.1 
Target Version1.3.2Fixed in Version1.3.2 
Summary0021655: Workflow config page can corrupt set_status_threshold with array thresholds
Description

The configuration option "set_status_threshold" may contain complex
thresholds defined as arrays instead of integer values.

In this case, the dropdown input in manage_config_workflow_page.php shows a single value, editable as dropdown select, and updating the page will overwrite the stored complex value.

Since a complex threshold cant be edited from this page, the inputs should be disabled and not overwritten.

TagsNo tags attached.

Relationships

related to 0021581 closedcproensa Workflow config page can corrupt report_bug_threshold if it's defined as an array 
related to 0006845 new manage_config_workflow_page.php can handle complicate $g_set_status_threshold. 

Related Changesets

MantisBT: master-1.3.x 6e0801d3

2016-08-30 19:19:19

cproensa


Committer: dregad Details Diff
Dont break complex threshold in workflow config page

The configuration option "set_status_threshold" may contain complex
thresholds defined as arrays instead of integer values.
In this case, on manage_config_workflow_page, show those fields as not
editable.

Fixes: 0021655, 0021656
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2016-08-30 20:15 cproensa New Issue
2016-08-30 20:15 cproensa Relationship added related to 0021581
2016-08-30 20:15 cproensa Relationship added related to 0006845
2016-08-30 20:16 cproensa Assigned To => cproensa
2016-08-30 20:16 cproensa Status new => assigned
2016-08-30 20:28 cproensa Note Added: 0053913
2016-09-09 02:53 dregad Changeset attached => MantisBT master-1.3.x 6e0801d3
2016-09-09 02:53 dregad Assigned To cproensa => dregad
2016-09-09 02:53 dregad Status assigned => resolved
2016-09-09 02:53 dregad Resolution open => fixed
2016-09-09 02:53 dregad Fixed in Version => 1.3.2
2016-09-09 04:51 atrol Target Version => 1.3.2
2016-09-09 06:00 dregad Assigned To dregad => cproensa
2016-10-02 18:41 vboctor Status resolved => closed